Bug 62196 - EDITING: copy-paste from non-LibO-text-source pastes previous clipboard contents (see comment 62)
Summary: EDITING: copy-paste from non-LibO-text-source pastes previous clipboard conte...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 70200 97124 105242 121989 124532 (view as bug list)
Depends on:
Blocks: Clipboard
  Show dependency treegraph
 
Reported: 2013-03-12 04:48 UTC by Alan Young
Modified: 2019-06-05 11:39 UTC (History)
24 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot of requested info (149.76 KB, image/jpeg)
2013-06-28 18:57 UTC, Ed Barnat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Young 2013-03-12 04:48:49 UTC
Problem description: 
I'm using Windows XP SP3 and LibreOffice 4 and I'm experiencing problems when pasting to Writer.

After doing several copy/paste work, for this example, let's us say I've successfully copied and pasted 5 times, on the 6th copy function, pasting into Writer will paste the selection from the previous copy (the 5th copy).

However, if I test pasting into notepad or wordpad, the selection from the 6th copy pastes just fine. But in Writer, it's clipboard is somehow stuck on the previous (5th) copy.

Even if I do several more copy functions (7th, 8th, 9th selection copy), pasting into Writer will always paste the 5th selection copied.

I have to point out that what we copy and paste are not just words or phrases. We copy several paragraphs from a desktop publishing software (namely InDesign), or from the browser, to a text editor (in this case, LibreOffice Writer).

Our staff usually highlights the paragraphs and paste it into Writer. Copy-and-paste function works fine for several iterations but then at one point it will just repeat pasting a single copied instance.

It looks to me like it's not flushing out the internal clipboard (not the Windows clipboard because pasting to Notepad, for example, pastes the correct copy instance).

This was happening in ver3.x and we thought would be fixed in ver4.

Steps to reproduce:
1. Copy-paste several paragraphs at a time from a source (browser or InDesign) to Writer.
2. Repeat several times
3. ....

Current behavior:
Paste function in Writer will not paste the latest copied item.

Expected behavior:
Should paste whatever currently copied.
              
Operating System: Windows XP
Version: 4.0.0.3 release
Comment 1 Rainer Bielefeld Retired 2013-03-12 06:08:53 UTC
NOT reproducible with Server Installation of "LibO  4.0.0.3   -  GERMAN UI / German Locale  [Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)]"  {tinderbox: @6, pull time 2013-01-31 11:30(?)} on German WIN7 Home Premium (64bit) with separate  new User Profile:
I copied the original report paragraph by paragraph to a blank new writer document suing mouse buttons 4/5 for copy/paste: no problem! Next attempt always copy/paste 3 paragraphs together, 3 times all report, no problem.

Same good results with copy/paste from <http://en.wikipedia.org/wiki/Kennet_and_Avon_Canal> to new writer document

@reporter:
Thank you for your report – unfortunately important information is missing.
May be hints on <http://wiki.documentfoundation.org/BugReport> will help you to find out what information will be useful to reproduce your problem? 
Please add all information requested in following:
- Write a meaningful Summary describing exactly what the problem is
- Contribute a step by step instruction containing every 
  key press and every mouse click how to reproduce your problem 
  (similar to example in Bug 43431)
- add information 
  -- concerning your PCs 
  -- concerning your Operating System (Version, Distribution, Language)
     ist that problem also reproducible on your PC?
  -- concerning your LibO localization (UI language, Locale setting)
  –- Libo settings that might be related to your problems 
    (video hardware acceleration, Experimental features enabled, ...)
  -- how you launch LibO and how you opened the sample document
  –- Whether your problem persists when you renamed your user profile 
     before you launch LibO (please see
     <https://wiki.documentfoundation.org/UserProfile#User_profile_location>)
 -- Problem reproducible with a server installation and blank 
     new profile for that server installation?
  -- Whether that worked in former LibO Verions or AOOo / OOo
     (we need the FIRST version where the problem appeared
  -- do I understand correctly: when the problem appears, 
     after copy 6
      paste to writer clipboard contents 5
      paste to Notepad clipboard contents 6
     after copy 7
      paste to writer clipboard contents 5
      paste to Notepad clipboard contents 7
     and so on
     ?
  -- everything else crossing your mind after you read linked texts
Comment 2 Robinson Tryon (qubit) 2013-03-13 03:01:33 UTC
Original discussion on the Ask site:
http://ask.libreoffice.org/en/question/13204/pasting-problem/
Comment 3 grofaty 2013-03-24 09:05:54 UTC
I have been using LibreOffice on Windows XP for years and never experiance this problem. Currently I am using LibreOffice 4.0.1.2 on Windows XP, no problem at all.

It looks to me that user may have somekind of clipboard manager installed that does not work fine with LibreOffice.

I suggest to do the following:
1. Close as many programs as possible.
2. Open Notepad and LibreOffice.
3. Try to copy/paste text between them and make sure the problem appears.
4. Then open cmd window and execute command: tasklist
Note: This program lists the processes that are currently running.
I hope we can spot some process that is interfering with LibreOffice copy/paste.
Comment 4 Dave Brown 2013-03-24 13:40:19 UTC
Situation as follows:

Can't paste from external apps into Writer using Ctrl-V or menu/edit/paste.

Can paste from Writer to external apps.

Can mouse drag text into Writer.

Problem persists after closing Writer down and restarting it.

However, I am running QuickStarter. If I close QuickStarter then run up Writer, I can copy into Writer from an external app until I copy something to the clipboard from within Writer. From that point it will only paste what I copied in writer. Except that at some point later (and I can't figure out the cause) it will occasionally work.

It's as if Writer respects the clipboard until something is put into it from Writer. At that point it's anyone's guess as to whether or when it will work again.

I do have Clipboard Fusion installed, but these problems occur regardless of whether it is running or not. 

So, summary: start Writer from scratch, can paste into it from external app. 
Copy something to the clipboard from within Writer, now it only pastes what was copied from within writer regardless of the contents of the system clipboard. At some undeterminable point later it sometimes accepts the system clipboard again.
Comment 5 Ed Barnat 2013-05-28 14:42:56 UTC
I am having the same problem on all 4 of my computers running various versions of windows 7, 8 and vista. Problem has also existed in previous versions of Libre office. 
Have asked http://ask.libreoffice.org/en/question/18009/clearing-clipboard/

No joy.

I have been having trouble clearing the LibreOffice clipboard, which appears to be different from the Windows clipboard (which I can clear). I frequently have to close and restart the program to clear the LibreOffice clipboard.

I have searched (Google) and see others have had the same or similar problems since OpenOffice but no answers seem available. I have been using OpenOffice (and now LibreOffice) for many years and think the issue many be more consistent in the past few updates.

Is this a "Bug" or a "feature"?

Just copy and past in Libreoffice then try to copy and paste a url copied from a browser or text from note pad or anything else and LibreOffice only pastes what was copied from within it, not from the external.

I am not using any additional clipboard managers.

If you really can't reproduce this then PLEASE develop a command or hot key sequence to force the LibreOffice internal clipboard to clean.
Comment 6 Ed Barnat 2013-06-28 18:57:45 UTC
Created attachment 81656 [details]
screen shot of requested info
Comment 7 Ed Barnat 2013-06-28 18:59:15 UTC
Thought I had the answer for a moment. Installed the Libre Office 4.0.4.2 pre release to my main machine (win 7) and it seems ok now. Then did the same for several others without success.

Grofaty (above) did not say where to send the info he requested so I am posting it here.

Win 7 in safemode
Comment 8 Mundi King 2013-06-29 16:57:38 UTC
Problem description:
I am using Windows Vista with current updates (2013-06-29). I am experiencing copy/paste problems with Libreoffice Writer 4.0.4.2

After doing several copy/paste work between Adobe indesign CS2, notepad++, and Libreoffice Writer, it seems that Libreoffice Writer stops accepting "copies" from non Libreoffice applications. Writer will paste something that was "copied" from Writer previously, instead of using what was just "copied" from another application.

It seems to happen frequently, but not always.

Completely shutting down Libreoffice applications and then open Libreoffice Writer seems to fix the issue temporarily.
Comment 9 Ed Barnat 2013-07-15 12:20:17 UTC
Update on my previous post.

Fix did not hold.  All machines now have the issue again.

If this can't be fixed it will render the program useless for anyone who needs to do any kind of real work with it.

PLEASE PLEASE PLEASE
Comment 10 m.a.riosv 2013-08-23 19:58:04 UTC
Hi all, maybe a couple of things to try:

- Does paste-special work in some of their options?
Menu/Edit/Paste special.

- Disable LibreOffice quickstarter,
Menu/Tools/Options/LibreOffice/Memory - LibreOffice quickstarter.
(Reinit LibreOffice)

- Resetting the user profile.
https://wiki.documentfoundation.org/UserProfile
Comment 11 Ed Barnat 2013-08-23 20:40:39 UTC
Thank you Mariosv, thought we had been forgotten.

Just tried your suggestions but sorry no.

Paste special does bring up the multi choice menu but still only pasts last copy from with Libre Office.

Quickstart was already disabled

and did uninstall (again) and then find and clear suggested folders.

Thanks again

Amgeek
Comment 12 m.a.riosv 2013-08-23 22:39:35 UTC
Looking around, there is some relation information in Aoo forum:
http://forum.openoffice.org/en/forum/viewtopic.php?f=7&t=60299
Comment 13 Ed Barnat 2013-08-24 13:32:32 UTC
Looks like they don't have an answer either.

Yahoo! Its a race to the finish. First program there becomes "Actually Usable".

Stay tuned.

Thanks again.

Amgeek
Comment 14 Ed Barnat 2013-09-06 14:55:43 UTC
New version out today (4.1.1.2) and still not working. 

Perhaps changing the priority rating at the top of this listing might help. 

Ed
Comment 15 Ed Barnat 2013-11-25 13:36:23 UTC
Still having this issue.

Had some success getting it re-submitted(?) as bug 70200

Still no action. How/who do I have to contact to get this looked into?

Ed
Comment 16 V Stuart Foote 2014-02-20 17:46:12 UTC
*** Bug 70200 has been marked as a duplicate of this bug. ***
Comment 17 V Stuart Foote 2014-02-20 19:01:44 UTC
@Ed Barnat
(In reply to comment #15)
> Still having this issue.
> 
> Had some success getting it re-submitted(?) as bug 70200
> 
> Still no action. How/who do I have to contact to get this looked into?

Kudos for your persistence--this really does seem to be an issue. However,
I've marked bug 70200 as a duplicate of this still open issue. Having additional bug just clutters the process. The NEEDINFO status means just that.

Unfortunately all reporting of this issue is pretty incomplete--not enough for proper QA triage, let alone sufficient "Steps to Reproduce" to pass over for developer attention.

The AskLO handling: your "Clearing clipboard"( http://ask.libreoffice.org/en/question/18009/clearing-clipboard/ ), and the earlier "pasting problem" (http://ask.libreoffice.org/en/question/13204/pasting-problem/ ) certainly suggest issues in LibreOffice (and AOO) with stability of interface to the Windows clipboard. 

From a development perspective the Microsoft Windows clipboard is complicated:
http://msdn.microsoft.com/en-us/library/windows/desktop/ms648709%28v=vs.85%29.aspx

But to simplify the issue for QA and any potential developer action just to be sure: you (and any other experiencing this issue) are not running any 3rd party Windows OS clipboard utilities (PureClip, ClipCube, Clipboard Manager, ShapeShifter, etc.)?

Within a context of only having MS Windows, LibreOffice and just one external program (source of objects being routed to the clipboard) can we identify reliable STR?

Adding a couple of or Windows developers to see if they have some perspective of why UNO Copy and UNO Paste might loose correct function.
Comment 18 Ed Barnat 2014-02-21 13:46:03 UTC
I can consistently reproduce the error on 4 machines here on my bench; two running Windows 7, one Windows Vista and one Windows 8. I have tried both in normal and safe mode on all machines. I have uninstalled and re-installed Libreoffice several times on all machines. All machines have been thoroughly cleaned and updated at least once; this is what I do for a living so they are probably in better shape than most. None have ever had any 3rd party clipboard utilities, including the ones you mention, installed. 

I have used external programs of Firefox, Google Chrome, Internet Explorer and Notepad++

Problem description: 

Steps to reproduce:
1. ....open a LibO (writer) document.  Copy and paste some text from within that LibO (writer) document to within that LibO document.
2. ....Open a web page or non-LibO document (such as Notepad ++ or a web page) and copy text or url 
3. ....Past that text/url into the still open LibO (writer) document

Current behavior: The copied text from step 1 is pasted (again) into the document

Expected behavior: The copied text from the web page/non-LibO document should be pasted into the document.


Current work around is to close all LibO documents, which clears the LibO clipboard. Re-open the LibO document and paste before doing any cut/copy from within LibO

I am not sure how much more explicit I can be to help you reproduce the issue but if you need more please let me know. I would even be willing to let you remote into my machine and see it for yourselves.
Comment 19 Ed Barnat 2014-02-21 13:47:12 UTC
Thanks for looking into this. I am not sure if you want your questions
answered here or on the bug report so will do both.

I can consistently reproduce the error on 4 machines here on my bench; two
running Windows 7, one Windows Vista and one Windows 8. I have tried both
in normal and safe mode on all machines. I have uninstalled and reinstalled
Libreoffice several times on all machines. All machines have been
thoroughly cleaned and updated at least once; this is what I do for a
living so they are probably in better shape than most. None have ever had
any 3rd party clipboard utilities, including the ones you mention,
installed.

I have used external programs of Firefox, Google Chrome, Internet Explorer
and Notepad++

Problem description:
Steps to reproduce:1. ....open a LibO (writer) document.  Copy and
paste some text from within that LibO (writer) document to within that
LibO document.2. ....Open a web page or non-LibO document (such as
Notepad ++ or a web page) and copy text or url 3. ....Past that
text/url into the still open LibO (writer) document
Current behavior: The copied text from step 1 is pasted (again) into
the document
Expected behavior: The copied text from the web page/non-LibO document
should be pasted into the document.

Current work around is to close all LibO documents, which clears the
LibO clipboard. Re-open the LibO document and paste before doing any
cut/copy from within LibO


I am not sure how much more explicit I can be to help you reproduce the
issue but if you need more please let me know. I would even be willing to
let you remote into my machine and see it for yourselves.





Truly Personal Computer Service
www.amgeek.com
518-783-1000    Skype ID:  Amgeek


On Thu, Feb 20, 2014 at 2:01 PM, <bugzilla-daemon@freedesktop.org> wrote:

>  V Stuart Foote <vstuart.foote@utsa.edu> changed bug 62196<https://bugs.freedesktop.org/show_bug.cgi?id=62196>
>  What Removed Added  Severity major normal  Priority high medium  CC
> LibreOffice@bielefeldundbuss.de jesus@softcatala.org, timar74@gmail.com,
> vstuart.foote@utsa.edu
>
>  *Comment # 17 <https://bugs.freedesktop.org/show_bug.cgi?id=62196#c17>
> on bug 62196 <https://bugs.freedesktop.org/show_bug.cgi?id=62196> from V
> Stuart Foote <vstuart.foote@utsa.edu> *
>
> @Ed Barnat
> (In reply to comment #15 <https://bugs.freedesktop.org/show_bug.cgi?id=62196#c15>)> Still having this issue.
> >
> > Had some success getting it re-submitted(?) as bug 70200 <https://bugs.freedesktop.org/show_bug.cgi?id=70200>
> >
> > Still no action. How/who do I have to contact to get this looked into?
>
> Kudos for your persistence--this really does seem to be an issue. However,
> I've marked bug 70200 <https://bugs.freedesktop.org/show_bug.cgi?id=70200> as a duplicate of this still open issue. Having
> additional bug just clutters the process. The NEEDINFO status means just that.
>
> Unfortunately all reporting of this issue is pretty incomplete--not enough for
> proper QA triage, let alone sufficient "Steps to Reproduce" to pass over for
> developer attention.
>
> The AskLO handling: your "Clearing clipboard"(http://ask.libreoffice.org/en/question/18009/clearing-clipboard/ ), and the
> earlier "pasting problem"
> (http://ask.libreoffice.org/en/question/13204/pasting-problem/ ) certainly
> suggest issues in LibreOffice (and AOO) with stability of interface to the
> Windows clipboard.
>
> From a development perspective the Microsoft Windows clipboard is complicated:http://msdn.microsoft.com/en-us/library/windows/desktop/ms648709%28v=vs.85%29.aspx
>
> But to simplify the issue for QA and any potential developer action just to be
> sure: you (and any other experiencing this issue) are not running any 3rd party
> Windows OS clipboard utilities (PureClip, ClipCube, Clipboard Manager,
> ShapeShifter, etc.)?
>
> Within a context of only having MS Windows, LibreOffice and just one external
> program (source of objects being routed to the clipboard) can we identify
> reliable STR?
>
> Adding a couple of or Windows developers to see if they have some perspective
> of why UNO Copy and UNO Paste might loose correct function.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
>
Comment 20 V Stuart Foote 2014-02-21 15:43:43 UTC
@Ed, *,
(In reply to comment #18)
> I am not sure how much more explicit I can be to help you reproduce the
> issue but if you need more please let me know. I would even be willing to

Very explicit. The below STR is NOT sufficient to reproduce consistently.
> Steps to reproduce:
> 1. ....open a LibO (writer) document.  Copy and paste some text from within
> that LibO (writer) document to within that LibO document.
> 2. ....Open a web page or non-LibO document (such as Notepad ++ or a web
> page) and copy text or url 
> 3. ....Past that text/url into the still open LibO (writer) document
> 

So, you are missing the point.  How are you doing the "Selection", the "Copy", the "Paste"?  Are you using the mouse, keyboard accelerators, or the menus? Specifics of the mix that ALWAYS produces the errant result?

> let you remote into my machine and see it for yourselves.
Not to that point yet.
Comment 21 Ed Barnat 2014-02-21 16:38:43 UTC
All of them. Mostly I use the mouse but have also used CTRL-C, CTRL-V and
CTRL-SHT-V. I am sure at times I have also used the menus.

When you try, which (if any) of them work for you?

Truly Personal Computer Service
www.amgeek.com
518-783-1000    Skype ID:  Amgeek


On Fri, Feb 21, 2014 at 10:43 AM, <bugzilla-daemon@freedesktop.org> wrote:

>   *Comment # 20 <https://bugs.freedesktop.org/show_bug.cgi?id=62196#c20>
> on bug 62196 <https://bugs.freedesktop.org/show_bug.cgi?id=62196> from V
> Stuart Foote <vstuart.foote@utsa.edu> *
>
> @Ed, *,
> (In reply to comment #18 <https://bugs.freedesktop.org/show_bug.cgi?id=62196#c18>)
> > I am not sure how much more explicit I can be to help you reproduce the
> > issue but if you need more please let me know. I would even be willing to
>
>
> Very explicit. The below STR is NOT sufficient to reproduce consistently.
> > Steps to reproduce:
> > 1. ....open a LibO (writer) document.  Copy and paste some text from within
> > that LibO (writer) document to within that LibO document.
> > 2. ....Open a web page or non-LibO document (such as Notepad ++ or a web
> > page) and copy text or url
> > 3. ....Past that text/url into the still open LibO (writer) document
> >
>
>
> So, you are missing the point.  How are you doing the "Selection", the "Copy",
> the "Paste"?  Are you using the mouse, keyboard accelerators, or the menus?
> Specifics of the mix that ALWAYS produces the errant result?
>
> > let you remote into my machine and see it for yourselves.
>
> Not to that point yet.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
>
Comment 22 Ed Barnat 2014-02-21 17:23:35 UTC
All of them. Mostly I use the mouse but have also used CTRL-C, CTRL-V and CTRL-SHT-V. I am sure at times I have also used the menus.

When you try, which (if any) of them work for you?
Comment 23 Mihkel Tõnnov 2014-02-24 18:08:46 UTC
(In reply to comment #16)
> *** Bug 70200 has been marked as a duplicate of this bug. ***

If so, then the platform should be "All" and version (probably) "Inherited from OOo".

In any case, I think this affects me as well (on Linux), however I can't really see a pattern as to when the bug occurs.
Comment 24 Ed Barnat 2014-03-30 21:22:11 UTC
How are we doing?

Why is this showing "NEED INFO"?

Have I supplied the needed information?

Is this being looked at?

Just tried 4.2.2 and the issue is still there.
Comment 25 m.a.riosv 2014-03-30 21:48:16 UTC
Hi Ed,
I'm not able to reproduce the issue with Windows 7x64 Ultimage, LibreOffice  Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f.
pasting text from this page in Firefox 28.0

Have you installed some extension different from those that comes with LibreOffice?.

What is the User Interface and locale language?
Comment 26 Ed Barnat 2014-03-30 23:11:44 UTC
Wow, you are kidding, right?

Somewhere we must be loosing something in translation. This problem exists and has existed over at least a dozen machines that have passed through my shop including Windows 7, 8, and Vista (older versions of OO may have worked correctly on XP I really don't remember)  and is so prevalent that I have stopped installing LibreOffice.

If I am doing something that causes it I really need to know.

Would it be possible to arrange a remote session on Google+ or some other medium (I uses Screenconnect here) so I can see it working for myself and show you what is happening here?

Most likly special addons one or mare machines MAY have had in common.


Install :7Zip – a file compressor /de-compressor

Install :Audacity – Multi-track sound editor/recorder

Install :Filezilla – FTP client

Install :Gimp w/help – photo/image editor, similar to Photoshop

Install :Inkscape- Vector graphic design/editor similar to Corel Draw Printshop

Install :Scribus – a desktop publishing program similar to MS Publisher

Install :Handbreak – Multi-format video converter

Install :ImgBurn- CD/DVD writing/imaging

Install :Keypass – Secure password keeper/generator bookmark storage

Install :Kompozer – HTML/CSS WSIWG editor similar to FrontPage/Dreamweaver

Install :LibreOffice w/powerpoint – Office suite similar to MS OFfice

Install :VLC – multi format video player

Install :Picasa – Photo organizer /editor

Install :Thunderbird email client (not set up)
Comment 27 Ed Barnat 2014-03-30 23:12:47 UTC
Oh yes, Standard interface, English.
Comment 28 V Stuart Foote 2014-03-31 03:48:33 UTC
On Windows 7 sp1, 64-bit system us-EN, with most of the same FOSS applications, with a current LODev 430 build and of Version: 4.2.2.1
Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f

I also am unable to reproduce this issue with MS clipboard 

Although I on occasion will have problems with keyboard manipulation of clipboard content from a Firefox session--so I know it can happen and can be very annoying.

It looks to me like LibreOffice handles the MS Windows clipboard in win32/clipb ( http://opengrok.libreoffice.org/xref/core/dtrans/source/win32/clipb/ ) where it does appear we implement only a subset of the full MS Windows clipboard API ( http://msdn.microsoft.com/en-us/library/windows/desktop/ms648709%28v=vs.85%29.aspx ). 

And that could be an issue on systems where other competing programs and their COM and OLE helpers do likewise.  With only a partial implementation of the API, looks like there could be locking or contention for access to the system clipboard on Windows. Is this why it is spurious? Others more sage would need to comment.  

As a sidebar, does the more complete API implementation in the toy Clipboard Viewer ( http://opengrok.libreoffice.org/xref/core/sal/workben/clipboardwben/testviewer/cbvtest.cxx ) suggest needed adjustments to the win32/clipb implementation?

Is some refactoring of XClipboard.idl and SystemClipboard.idl needed in addition to work in win32/clipb.

I am setting this back to NEW.  But if someone can come up with a solid STR under any OS, that would certainly help move this along.
Comment 29 Ed Barnat 2014-03-31 13:58:36 UTC
Thank you V. Stuart.

I am truly amazed that I am the only one having this problem, so I appologize.

I can only imagine that I am no describing it correctly, so, I have posted a video http://youtu.be/Z_YqJwBfLg8   in hopes it will more clearly demonstrate the issue.

Thanks.
Comment 30 Ed Barnat 2014-04-01 20:20:17 UTC
I am pleased to report that, while I may not have solved this issue, I have found at least one other person (they are using OpenOffice) having it. AND I may have found a way for everyone to reproduce it.

We use remote desktop software called ScreenConnect. When either the host or client portion of Screenconnect is installed (does not need to be active) the problem exists. When the software is completely removed we are able to copy and past in, out and around LibreOffice. 

So far, I have been unable to find any other software - either commercial or open source - that reacts this way in the presence of Screenconnect.

I have notified the makers of Screenconnect and provided them links to this and related posts.

I stand ready to remotely connect with any of you so that you may see the problem for yourself in your continued efforts to resolve it.

I hope you do not use this discovery as an excuse to drop your efforts to fix the issue and promise to nag (lovingly) both you and Screenconnect until it is fully resolved :-)



http://forum.screenconnect.com/yaf_postst3448_Copy-Paste-Issues-with-ScreenConnect-and-OpenOffice.aspx#post13362
Comment 31 V Stuart Foote 2014-04-01 21:35:41 UTC
Ed, *,

I suspect there will be other software mixes that bork the handling Copy/Paste of the MS Clipboard API.  I'm relieved that you've identified the utility you routinely install that IS consistently causing the issue.

I'm not sure though that anything can be done within LibreOffice, short of a substantial refactoring of the whole LibreOffice system clipboard interface, to improve reliability of the MS Windows Clipboard. Alternatively, it might be handled as an Extension--i.e. a LibreOffice branded Clipboard manager.

>I hope you do not use this discovery as an excuse to drop your efforts
>to fix the issue and promise to nag...

As is, no developer will take this on as it is not reproducible from a LibreOffice perspective. 

The content of just these two Windows related tech support sites suggest there are multiple applications that can cause problems with Windows copy/paste functions of the clipboard:

http://www.tomshardware.com/faq/id-1749049/fix-copy-paste-problems-microsoft-office.html

http://social.technet.microsoft.com/Forums/windows/en-US/5bbc11e8-ca2d-41ac-b640-d66ce971f58f/copy-paste-clipboard-issues-not-working?forum=w7itprogeneral

Notably MS's own RDP (RDPCLIP.exe) looks to cause issues with the clipboard API.

Normally this issue would probably be closed, Resolved NOTOURBUG. But your issue was not that of the original poster who seemed to have had problems with exhaustion of the LibreOffice clipboard cache. As reported in this ASK LibreOffice thread--http://ask.libreoffice.org/en/question/13204/pasting-problem/

For now leaving it open--but a poke at Dave Brown and Alan Young to respond.
Comment 32 Ed Barnat 2014-04-01 22:19:21 UTC
Thanks, V. Stuart, but my issue is not resolved.


While this may not be totally your bug please don't use my progress as an
excuse to pass it off. While I fully intend to follow up the the other
player there is obviously something "different" in LibreOffice. I have
tested many other programs, both open source and commercial and none of
them have this issue. I would think you should only consider the issue
 "resolved" when LibreOffice copies and pasts as well with Screenconnect
(even in its current state) active as does MS office or Gimp.

Should I open this under a different "Bug".

Thanks

Ed


Truly Personal Computer Service
www.amgeek.com
518-783-1000    Skype ID:  Amgeek


On Tue, Apr 1, 2014 at 5:35 PM, <bugzilla-daemon@freedesktop.org> wrote:

>   *Comment # 31 <https://bugs.freedesktop.org/show_bug.cgi?id=62196#c31>
> on bug 62196 <https://bugs.freedesktop.org/show_bug.cgi?id=62196> from V
> Stuart Foote <vstuart.foote@utsa.edu> *
>
> Ed, *,
>
> I suspect there will be other software mixes that bork the handling Copy/Paste
> of the MS Clipboard API.  I'm relieved that you've identified the utility you
> routinely install that IS consistently causing the issue.
>
> I'm not sure though that anything can be done within LibreOffice, short of a
> substantial refactoring of the whole LibreOffice system clipboard interface, to
> improve reliability of the MS Windows Clipboard. Alternatively, it might be
> handled as an Extension--i.e. a LibreOffice branded Clipboard manager.
> >I hope you do not use this discovery as an excuse to drop your efforts
> >to fix the issue and promise to nag...
>
> As is, no developer will take this on as it is not reproducible from a
> LibreOffice perspective.
>
> The content of just these two Windows related tech support sites suggest there
> are multiple applications that can cause problems with Windows copy/paste
> functions of the clipboard:
> http://www.tomshardware.com/faq/id-1749049/fix-copy-paste-problems-microsoft-office.html
> http://social.technet.microsoft.com/Forums/windows/en-US/5bbc11e8-ca2d-41ac-b640-d66ce971f58f/copy-paste-clipboard-issues-not-working?forum=w7itprogeneral
>
> Notably MS's own RDP (RDPCLIP.exe) looks to cause issues with the clipboard
> API.
>
> Normally this issue would probably be closed, Resolved NOTOURBUG. But your
> issue was not that of the original poster who seemed to have had problems with
> exhaustion of the LibreOffice clipboard cache. As reported in this ASK
> LibreOffice
> thread--http://ask.libreoffice.org/en/question/13204/pasting-problem/
>
> For now leaving it open--but a poke at Dave Brown and Alan Young to respond.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
>
Comment 33 V Stuart Foote 2014-04-01 22:34:24 UTC
Ed,

>Should I open this under a different "Bug".

No, once the OP comments we'll review the issue regards the original context--if their issue(s) were resolved the bug will be closed.

Any NEW issue would likely be for an enhancement to improve stability of LibreOffice clipboard operations by fully implementing support for the Microsoft Clipboard API.

As an aside, it would be appreciated by most if you were to edit the irrelevant from your posts back to BZ.
Comment 34 algo 2014-06-24 12:54:23 UTC
I am running LibreOffice: 

Version: 4.2.5.2
Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5

I am a new user of LibreOffice and I have been experiencing this bug ever since I installed it 3 days ago. Specifically, I am using the spreadsheet app. 

The problem seems random but when it occurs it occurs this way:

1) I do a copy of a cell in the spreadsheet
2) Click over to an external software app and paste the content copied in step#1
3) Step#2 produces a result, which I then copy 
4) I click back to the libreOffice spreadsheet and attempt to paste what I thought I copied in step#3. However, the value pasted is what was copied in step#1.

What is going on here? This thread has been open for ages and I'm quite disappointed that this has not been fixed.
Comment 35 algo 2014-06-24 12:58:55 UTC
My OS is Windows 7.
Comment 36 Ed Barnat 2014-06-24 13:39:20 UTC
Welcome to pass the buck, open source style, it is the other guys fault but that might be irrelevant :)
Comment 37 V Stuart Foote 2014-06-24 15:18:56 UTC
> Welcome to pass the buck, open source style, it is the other guys fault but
> that might be irrelevant :)

Nice;-) So on a sidebar any constructive comment on if the ScreenConnect "fix" for their 4.4 build does resolve majority of your issues?
Comment 38 V Stuart Foote 2014-06-24 15:25:40 UTC
This issue is Windows only. But issues with clipboard interface seem to range across the builds, this bug for Windows, bug 48783 for Linux, and several for OSX notably bug 49853--less about clipboard than directing content to correct widget.

The effort to fix this correctly unfortunately falls to our LibreOffice devs, but we should acknowledge that it is not our bug, unfortunately that from a usability perspective the project is going to have to fix it in some fashion.

I could nominate this to MAB 4.2 -- but truth is it likely can only be solved as an enhancement to implement a LibreOffice branded clipboard manager across the builds. Thoughts on that?

Some notes:
Windows
http://msdn.microsoft.com/en-us/library/windows/desktop/ms648709%28v=vs.85%29.aspx

Linux
http://freedesktop.org/wiki/ClipboardManager/
https://wiki.ubuntu.com/ClipboardPersistence

OSX
https://developer.apple.com/library/mac/Documentation/Cocoa/Conceptual/PasteboardGuide106/Articles/pbUpdating105.html#//apple_ref/doc/uid/TP40008140-SW1
http://nabble.documentfoundation.org/Objective-C-Cocoa-NSMenu-FirstResponder-key-bindings-td4047224.html
Comment 39 Ed Barnat 2014-06-24 15:39:39 UTC
Yes, Stuart, thanks for asking.

As long as there is not an active connection all works well for my clients if they use LO. 

I still have to occasionally exit either ScreenConnect or LO to clear my machine but best I can tell I am no longer inconveniencing my clients.

Still hoping for a "real" answer.

Ed
Comment 40 Ed Barnat 2014-06-24 15:44:50 UTC
Be it "bug" or "feature" it seems we can agree that it is a "pain".

To paraphrase on old hell raiser: "The goal here if for everyone to get along".

Send it wherever it has to go. Whenever and whoever fixes it it will be appreciated by all. 

Thanks
Amgeek
Comment 41 algo 2014-06-24 18:02:45 UTC
This is not a *feature*. This is a common sense functionality and if LibreOffice wants to make any real inroads into the real world then these simple basic work flow mechanisms must work. Otherwise, it will be yet another *thank you but come again* type projects.
Comment 42 V Stuart Foote 2014-06-24 20:44:17 UTC
@algo, *,

On Windows 7 sp1, 64-bit en-US
Version: 4.2.5.2
Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5

Understand your MS Windows clipboard issues is with Calc when you "copy out --- edit externally & copy to clipboard---and then attempt to paste into Calc. But then only the original LibreOffice clipboard content is pasted.  I can not reproduce that issue. So, to do anything we need valid Steps to Reproduce (STR).

In 4.2.5.2 Calc, I highlight and copy cell(s), paste them into external program (GIMP 2.8.4) and edit result there. Then copy that result. Paste it back into the same Calc sheet. No issue.  Working with text, copy a cell from Calc, paste it into Word 2013 and apply a style to it. Copy the text in Word. Paste it into a cell on Calc. Again no issues with clipboard content.

So question then is if you, like Ed with ScreenConnect, have any 3rd party apps that control use of or may be corrupting the Windows clipboard? If so, does fidelity of your clipboard use improve if you disable that application(s).

Also: this is a Windows issue (never confirmed on other OSs). Its importance at Medium Normal is correct.  Please leave those designations alone.
Comment 43 maxkolbefan 2014-06-24 23:41:14 UTC
I am having this same problem on Windows 7 with the latest release of LibreOffice. I copy text from within LO (Ctrl-C), paste it into a text editor where I work with it, copy it in the text editor and go to paste it back (Ctrl-V, but I've also tried menu and paste special) and it pastes back the text as it was copied initially in LO. This is a serious bug. It does not occur on Ubuntu or Linux Mint, in my experience.
Comment 44 algo 2014-06-25 17:06:14 UTC
@V Stuart Foote -

I don't have ScreenConnect installed or any other clipboard type of app that I know of. I believe my Windows 7 does have OneNotes installed (part of Office 2013?). Not sure if that has anything to do with it but I don't use it and have not started the app. 

My steps are as you describe.

1) I copy a cell in Calc
2) Paste that value into an external program, which then generates some data
3) I copy the data generated in the external program by doing a Cltr-C (or Right Clicking and selecting Copy)
4) I then move back to Calc and attempt to paste but the value pasted is the original data that was copied in step#1.

I'm not sure what else to provide?

Appreciate the guidance.
Comment 45 V Stuart Foote 2014-06-25 17:15:47 UTC
@algo, *,

If you are on Windows 7, why are you insisting on setting platform to ALL?

Please don't! Also, please leave the priorities where QA has set them.
Comment 46 Ed Barnat 2014-06-25 17:30:16 UTC
Argo,

It most likely is a third party app that also uses a clipboard of sorts.
Have you tried restarting to safe mode to see if that helps?
Comment 47 Michael Meeks 2014-06-25 19:26:49 UTC
> Please don't! Also, please leave the priorities where QA has set them.

As a developer - I'd like to backup Stuart's comment here; algo - it is counter-productive changing the priorities it confuses the bug, lengthens it to the point of unreadability, and ultimately does nothing to raise the priority - only to lower the chance of a fix; it would be a shame for other sufferers of this bug to see this issue ignored or downgraded due to this sort of mis-interaction.

Nevertheless - there is some good work here, wrt. trying to analyse which other apps may cause the mis-interaction. And, of course, all real research, code-reading, patches to test etc. greatly appreciated.
Comment 48 algo 2014-06-25 22:39:35 UTC
I only changed the Importance once. Freedesktop for some reason remembered the original chance I made and every time I added a comment it saved the same changes. I had to log out and back in to clear that for some odd reason.

In any case, I haven't tried in Safe mode as I am unable to restart my machine for business reasons at the moment. I won't get a chance to do that for a few days. I will update once I get a chance. That said, if anyone else who is experiencing this same problem can assist the developers with data then please do so. Thank you.
Comment 49 Andrew Mitchell 2014-07-21 04:05:35 UTC
LibreOffice 4.2.4 does not recognise when clipboard has text copied from ms-OneNote (Paste command is not present in context menu).  The copied text can be pasted into NotePad++ or into ms-word.  This issue makes it impossible to use LibreOffice and ms-OneNote together.  One simple sentences were loaded onto the clipboard.
Comment 50 Philip Rayment 2014-11-15 00:21:21 UTC
I've been having the same issue.  This is on Windows 8.1 and LibreOffice Writer 4.2.3.3.  I haven't noticed a definite pattern to when it happens, but the original poster's description seemed to ring true for me—it works fine to start with, but then, after doing a copy/paste within Writer, it will no longer paste from an external source (e.g. an e-mail).

I don't have ScreenConnect, but I do have TeamViewer (for private use; this is a home computer) and Citrix (for work) installed.
Comment 51 maxkolbefan+bz 2015-02-26 21:54:04 UTC
This serious bug was reported almost two years ago and no one is even assigned to it. Is it just never going to be fixed, or what?
Comment 52 Joel Madero 2015-03-16 18:27:50 UTC
@maxkolbefan+bz@gmail.com

Please read this blog post as it explains how things work: http://joelmadero.wordpress.com/2014/10/11/user-expectations-and-the-reality-of-our-community/

So to answer your question: It'll be fixed when someone (1) volunteers to fix it; (2) is paid to fix it; or (3) fixes it themselves.

It's been around for years - if it was that serious someone would have volunteered to fix it. Perhaps it's particularly annoying for you, but this isn't relevant for when the bug gets fixed (no offense) unless you are paying a third party to have it fixed or fixing it yourself.
Comment 53 Dave Brown 2015-08-18 19:05:52 UTC
Recently updated to LibreOffice 5. Looks like someone has fixed this bug. Can no longer reproduce. The system I'm working on exhibited the problem with LO 4, and all I did was to install LO5.
Comment 54 Derek Chirnside 2015-08-24 07:57:49 UTC
I have just installed LO 5.0.0.5

Copy and Paste still does not work for me.
eg.  Copy and paste from Snagit or an image off the web.  I get the outline of the image and a name "Image1"
Using Windows 7.

For me it never works, ie not the sometimes does sometimes not I see also reported.

Copy and Paste works for instance in gmail.  I don't have access to MS word to check this.
So: Dave, what are other factors of your solution with LO5?  Any thoughts?

I will read this thread again: but is there any advice on things to check.  Clipboard?  Any deep settings in LO?

-Derek
Comment 55 Dave Brown 2015-08-28 16:17:12 UTC
Hmm, dunno what you are seeing Derek, I just went to a website, right-click, copy image, go into LO Writer, paste and it's ok. Still works after doing a copy paste from within writer. 

I made no other changes to anything. One day I had LO 4, paste not working, next day LO 5, paste working. I'm using Windows Server 2008 BTW, but I can't see what difference that would make. 

Dave
Comment 56 Ben Anderson 2015-09-01 19:32:42 UTC
I have had this copy/paste problem randomly for several years. Just installed 5.0.0.5 and it is still there. I have not taken the time to experiment with when exactly it occurs. But at a certain point it just keeps pasting the same exact text over and over regardless of copying again from an external source. Sometimes if I copy and paste from within LO it clears the problem and I can paste again from outside LO. Would be great if it could be fixed.

Ben
Comment 57 Derek Chirnside 2015-11-01 09:49:00 UTC
(In reply to Dave Brown from comment #55)
> Hmm, dunno what you are seeing Derek, I just went to a website, right-click,
> copy image, go into LO Writer, paste and it's ok. Still works after doing a
> copy paste from within writer. 
> 
> I made no other changes to anything. One day I had LO 4, paste not working,
> next day LO 5, paste working. I'm using Windows Server 2008 BTW, but I can't
> see what difference that would make. 
> 
> Dave

Strange Dave.  I have now reinstalled windows 7, and LO now Version: 5.0.2.2
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe

Copy and paste of text works.  As before.

The other problem remains:  No other copy and paste of images from clipboard works.

There has been talk of other programs maybe being the cause.  I've got a pretty minimalist set of these.  Snagit, Google Drive, Dropbox.
Nothing like a clipboard manager.  Just in case Snagit was interfering, I uninstalled this.

Is there any debugging an end user can look at?
Has anyone else used Snagit and found this copy and paste works?

-Derek
Comment 58 Nathan Wells 2016-01-29 03:53:53 UTC
I've also had this issue on and off over the years. Never found a solution or even a way to make it happen (seems random). OpenOffice and LibreOffice have this issue.
Currently on Windows 10 64-bit (but I've had this issue since Windows 7).
Copy some text from another program (like PowerPoint or Microsoft Word) and try to paste it into LibreOffice Writer and either nothing is pasted, or what I had previously copied inside the LibreOffice Writer program is pasted (as if there are two clipboards being maintained, one for Windows - because Notepad always responds correctly, and one for LibreOffice).
I can always copy and paste inside LibreOffice without any issues. And if I re-book LibreOffice, I can paste correctly.

Not that it really helps, but thought I would say I have this problem as well. Doesn't matter what version of LibreOffice (even dev versions).
Comment 59 Nathan Wells 2016-01-29 03:55:40 UTC
*re-boot

Also, I would say it does seem to work until I copy and paste something within Writer - then it stops taking pastes from outside LibreOffice.
Comment 60 Nathan Wells 2016-04-08 07:44:35 UTC
This bug is getting to the point that LibreOffice is becoming unusable...
For those thinking this isn't a bug within LibreOffice, just remember, all our other programs copy and paste without issue. I sure wish my programming skills were high enough to help explore a solution to this issue - but if there are any more tests that I can do that would be helpful, please let me know.
Also, OpenOffice has the same behavior as LibreOffice.
Comment 61 Joel Madero 2016-04-08 15:05:37 UTC
(In reply to Nathan Wells from comment #60)
> This bug is getting to the point that LibreOffice is becoming unusable...
> For those thinking this isn't a bug within LibreOffice, just remember, all
> our other programs copy and paste without issue. I sure wish my programming
> skills were high enough to help explore a solution to this issue - but if
> there are any more tests that I can do that would be helpful, please let me
> know.
> Also, OpenOffice has the same behavior as LibreOffice.

Indeed I wish your skills were high enough as well :) Given that this isn't a regression there really isn't much that you can do other than wait patiently. The fact that it's been around for years and no one has taken an interest is telling as far as interest in fixing it (from volunteers....we can't blame volunteers for what interests them and what doesn't).

One thing to try (I haven't read 60+ comments of this thread so maybe it's already been suggested) is to actually analyze what is in your clipboard using something like this:

http://www.thewindowsclub.com/windows-clipboard-manager-viewer

Just verify that your clipboard in fact only has a single thing and that the paste into LibreOffice does not match it.

Also maybe try an alternative clipboard manager:
http://www.makeuseof.com/tag/3-clipboard-managers-windows/
Comment 62 V Stuart Foote 2016-04-08 16:20:51 UTC
(In reply to Joel Madero from comment #61)
 can't blame volunteers for what interests them and what doesn't).
> 
> One thing to try (I haven't read 60+ comments of this thread so maybe it's
> already been suggested) is to actually analyze what is in your clipboard
> using something like this:
> 
> http://www.thewindowsclub.com/windows-clipboard-manager-viewer
> 
> Just verify that your clipboard in fact only has a single thing and that the
> paste into LibreOffice does not match it.
> 
> Also maybe try an alternative clipboard manager:
> http://www.makeuseof.com/tag/3-clipboard-managers-windows/

Actually this is the wrong approach. The issue on Windows more often than not is the presence of 3rd party apps that muddle control of MS Windows Clipboard APIs.

The Windows clipboard is stateful -- one app at a time has control of writing to and reading from, as well disposing its buffered content.  LibreOffice has internal clipboard structures (XClipboard based) which are then interfaced to the MS Windows APIs.

In fact, LibreOffice XClipboard tries to play nicely with the OS clipboard--gaining control and releasing when it is called back. Problems happen for us when other programs are not so fastidious. Windows OS memory and clipboard managers are some of the worse offenders in that regard.  (See comment 28 comment 31 comment 38)

What is likely needed within LibreOffice is a refactoring of the XClipboard (and then connecting that to appropriate Linux, OS X and Windows APIs) to include additional UI controls for:
1) our internal clipboard,
2) our interaction with the OS clipboard, 
3) an ability to flush internal as well as system clipboard, 
4) an ability to reegain/lock access/control of the system clipboard, 
5) a GUI panel (probably on the Sidebar) to display the clipboard object stack.

All of which are clearly an enhancement--which this issue is not.

And, this issue should be Closed Insufficientdata as the OP has yet to respond about specific issue as titled--and the later issues remain too spurious and nonreproducible with out STR as to be valid.
Comment 63 Alexander Alzate 2016-10-21 22:55:56 UTC
The issue is totally reproducible in GNU/Linux.

# System Information

- SO: Archlinux
- uname -a: Linux *** 4.7.6-1-ARCH #1 SMP PREEMPT Fri Sep 30 19:28:42 CEST 2016 x86_64 GNU/Linux
- gdm --version: GDM 3.22.1
- loffice --version: LibreOffice 5.2.2.2.0 20m0(Build:2)

# Steps to reproduce

1 - Open a new document (Writer, Calc, ...)
2 - Copy something from anywhere but LO.
3 - Paste the clipboard content into the document.
  > Should work as expected
4 - Write something into the document.
5 - Copy the new document and paste it anywhere into the document.
6 - Repeat 2 and 3.
  > At this point, LO pastes the content copied in 5.

# Resume

Is not a Windows-only bug and the problem is related to the clipboard management by LO. The latest version are still affected and the bug has been with us for more than 3 years... something I think is really worrying.
Comment 64 ClipboardConcerned 2016-10-25 19:08:54 UTC
Here are some steps that cause the bug for me on Win 10. I don't think it's the only way to cause the bug because there are some side effects from this method that are different from usual, but it is one way to cause it.

1) Copy Text from Libre (Ctrl-C).
2) Paste into Libre (Ctrl-V).
3) Wait for computer to go to sleep, and HDD turns off.
4) Wake computer up, and turn HDD back on.
5) Copy text from outside Libre (Ctrl-C).
6) Continue pasting text from step 2 into Libre (Ctrl-V).

Also I noticed that when I caused the bug in this way, using Ctrl-Z would only move the cursor to where the last paste was, but it wouldn't remove it. This seems like a separate bug, but since it was caused by this bug reproduction method, I will write it here. After producing bug as above, start new process as follows:

1) Write some text in Libre.
2) Paste from broken clipboard (Ctrl-V).
3) Write some text in Libre.
4) Undo 3 times (Ctrl-Z).

Outcome:
4a) Undoes text from step 3.
4b) Moves cursor to beginning of text from step 2, but does not delete it
4c) Undoes text from step 1.

Note that I can still delete the pasted text from step 2 manually with no problem, it's just a problem with the undo behavior.
Comment 65 V Stuart Foote 2016-10-25 19:48:08 UTC
Resetting version to Inherited from OOo, and component to LibreOffice.

Also, sorry but this issue is open for Windows, but as noted comment 38 it affects Linux, bug 48783 and OS X as well.

An enhancement as in comment 62 would be needed to eventually resolve this, beyond that we still do not have a valid set of STR to reproduce and so follow interaction of calls to the clipboard APIs.
Comment 66 Mihkel Tõnnov 2016-10-25 19:56:26 UTC
(In reply to V Stuart Foote from comment #65)
> Resetting version to Inherited from OOo, and component to LibreOffice.
> 
> Also, sorry but this issue is open for Windows, but as noted comment 38 it
> affects Linux, bug 48783 and OS X as well.
> 
> An enhancement as in comment 62 would be needed to eventually resolve this,
> beyond that we still do not have a valid set of STR to reproduce and so
> follow interaction of calls to the clipboard APIs.

Bug #48783 is something else entirely. I have repeatedly experienced behaviour described in comment #0 on Linux (on old KDE 3 based Debian and now on KDE 4 based Mageia).
Comment 67 Sam Spade 2016-12-04 06:20:40 UTC
Had the same issue. Ran tasklist command and hope to contribute to a general stockpile of information. This bug only happens very infrequently, so I figured that maybe with enough data there could a correlation you could find. Anyway, here are the results:
Image Name                     PID Session Name        Session#    Mem Usage
========================= ======== ================ =========== ============
System Idle Process              0 Services                   0          4 K
System                           4 Services                   0    623,300 K
smss.exe                       380 Services                   0        124 K
avgrsa.exe                     516 Services                   0     22,228 K
avgcsrva.exe                   620 Services                   0     90,284 K
csrss.exe                      936 Services                   0      1,384 K
wininit.exe                     68 Services                   0         12 K
csrss.exe                      340 Console                    1      4,020 K
winlogon.exe                   496 Console                    1      2,056 K
services.exe                   884 Services                   0      3,396 K
lsass.exe                      636 Services                   0      6,580 K
svchost.exe                   1092 Services                   0      9,328 K
svchost.exe                   1144 Services                   0      6,556 K
svchost.exe                   1276 Services                   0     14,624 K
dwm.exe                       1284 Console                    1     23,828 K
svchost.exe                   1304 Services                   0     32,144 K
svchost.exe                   1400 Services                   0      4,964 K
svchost.exe                   1408 Services                   0     15,184 K
WUDFHost.exe                  1440 Services                   0        936 K
WtuSystemSupport.exe          1540 Services                   0         12 K
svchost.exe                   1596 Services                   0     15,472 K
svchost.exe                   1664 Services                   0     26,824 K
ibmpmsvc.exe                  1804 Services                   0        852 K
atiesrxx.exe                  1884 Services                   0         64 K
svchost.exe                   1892 Services                   0     13,164 K
QHActiveDefense.exe           1184 Services                   0      6,820 K
dasHost.exe                   1980 Services                   0      4,192 K
spoolsv.exe                   2196 Services                   0      3,288 K
wlanext.exe                   2244 Services                   0      2,036 K
conhost.exe                   2284 Services                   0         48 K
svchost.exe                   2820 Services                   0     10,796 K
SynTPEnhService.exe           2828 Services                   0         12 K
svchost.exe                   2840 Services                   0      3,140 K
AppleMobileDeviceService.     2848 Services                   0      1,376 K
sqlwriter.exe                 2908 Services                   0        664 K
avgidsagenta.exe              2956 Services                   0     16,520 K
CxAudMsg64.exe                2976 Services                   0        740 K
remoting_host.exe             3020 Services                   0         12 K
FBService.exe                 3060 Services                   0        752 K
IpOverUsbSvc.exe              2104 Services                   0      1,548 K
RIconMan.exe                  2552 Services                   0        816 K
BtwRSupportService.exe        3368 Services                   0         12 K
mDNSResponder.exe             3380 Services                   0      3,244 K
avgwdsvca.exe                 3388 Services                   0     16,648 K
QHWatchdog.exe                3748 Services                   0        392 K
remoting_host.exe             3760 Services                   0      7,916 K
avgnsa.exe                    5000 Services                   0      4,488 K
avgemca.exe                   5036 Services                   0        896 K
atieclxx.exe                  3632 Console                    1      1,624 K
sihost.exe                    5972 Console                    1     10,924 K
taskhostw.exe                  848 Console                    1      7,232 K
SynTPEnh.exe                  1256 Console                    1      7,040 K
SynTPLpr.exe                  4400 Console                    1        152 K
SynLenovoHelper.exe           5380 Console                    1        404 K
SynTPHelper.exe               1520 Console                    1        476 K
RuntimeBroker.exe             3244 Console                    1     21,972 K
fmapp.exe                     6544 Console                    1        284 K
CAudioFilterAgent64.exe       6556 Console                    1      1,664 K
svchost.exe                   7012 Console                    1      9,332 K
FBConsole.exe                 7156 Console                    1      1,252 K
MOM.exe                       1816 Console                    1      5,084 K
vprot.exe                     4548 Console                    1     17,536 K
avgui.exe                     6564 Console                    1     10,660 K
QHSafeTray.exe                6528 Console                    1      9,192 K
jusched.exe                   7176 Console                    1      1,848 K
CCC.exe                       4012 Console                    1      4,244 K
fontdrvhost.exe               5264 Console                    1         12 K
ctfmon.exe                    5680 Console                    1        176 K
avgcefrend.exe                6980 Console                    1      4,332 K
SettingSyncHost.exe           1032 Console                    1        368 K
ApplicationFrameHost.exe      6008 Console                    1      1,412 K
notepad++.exe                 7284 Console                    1     10,576 K
dllhost.exe                   3320 Console                    1        768 K
360TsLiveUpd.exe              9832 Console                    1     10,628 K
OfficeClickToRun.exe          5020 Services                   0     10,988 K
AppVShNotify.exe             10064 Console                    1         28 K
SearchIndexer.exe              144 Services                   0     18,400 K
XboxApp.exe                   7632 Console                    1        276 K
SteelSeriesEngine3.exe        8212 Console                    1     18,612 K
taskhostw.exe                 8296 Console                    1      2,892 K
svchost.exe                  10276 Services                   0      9,712 K
firefox.exe                   8056 Console                    1    526,808 K
LogiRegistryService.exe       3884 Services                   0         12 K
LCore.exe                     4656 Console                    1     10,464 K
LULnchr.exe                   5760 Console                    1         28 K
LogitechUpdate.exe            9464 Console                    1      3,420 K
Nomad.exe                    10804 Console                    1     13,040 K
splwow64.exe                  9932 Console                    1      1,124 K
SetPoint.exe                  7572 Console                    1      2,860 K
KHALMNPR.exe                 10852 Console                    1      2,504 K
WUDFHost.exe                 12676 Services                   0        616 K
Taskmgr.exe                   9788 Console                    1     18,988 K
jucheck.exe                  12560 Console                    1      2,408 K
explorer.exe                  4160 Console                    1     53,828 K
ShellExperienceHost.exe      12152 Console                    1     24,224 K
SearchUI.exe                   324 Console                    1        328 K
audiodg.exe                  11568 Services                   0      6,448 K
DbxSvc.exe                   12804 Services                   0         12 K
swriter.exe                   8556 Console                    1         28 K
soffice.exe                   8648 Console                    1         28 K
soffice.bin                  12476 Console                    1     68,356 K
LockAppHost.exe               4572 Console                    1      1,296 K
plugin-container.exe         14208 Console                    1      4,572 K
AcroRd32.exe                 11076 Console                    1      4,572 K
AcroRd32.exe                 14232 Console                    1     51,500 K
RdrCEF.exe                   12852 Console                    1     13,904 K
RdrCEF.exe                   12644 Console                    1     10,436 K
AdobeARM.exe                  2352 Console                    1      7,992 K
RdrCEF.exe                    5980 Console                    1      9,068 K
RdrCEF.exe                    9608 Console                    1      9,516 K
avgsvca.exe                   6368 Services                   0     11,652 K
avguix.exe                    7276 Console                    1      9,128 K
RdrCEF.exe                   12820 Console                    1      9,376 K
RdrCEF.exe                    8160 Console                    1      9,244 K
RdrCEF.exe                   12508 Console                    1     10,100 K
RdrCEF.exe                   13724 Console                    1     18,260 K
RdrCEF.exe                    2304 Console                    1     10,788 K
RdrCEF.exe                    9884 Console                    1     21,512 K
RdrCEF.exe                    5012 Console                    1     25,540 K
RdrCEF.exe                    6904 Console                    1     27,852 K
plugin-container.exe          7524 Console                    1     11,872 K
WmiPrvSE.exe                  9760 Services                   0      8,520 K
cmd.exe                      13332 Console                    1      2,936 K
conhost.exe                   1152 Console                    1      8,032 K
tasklist.exe                  8956 Console                    1      7,256 K
Comment 68 Buovjaga 2017-01-13 12:37:54 UTC
*** Bug 105242 has been marked as a duplicate of this bug. ***
Comment 69 Xisco Faulí 2017-03-14 08:52:45 UTC
*** Bug 106142 has been marked as a duplicate of this bug. ***
Comment 70 Buovjaga 2017-04-27 11:05:06 UTC
*** Bug 97939 has been marked as a duplicate of this bug. ***
Comment 71 Sakshale 2017-09-07 00:13:13 UTC
Same issue today:
Windows 10 Home
OS Build: 10586.916
LibreOffice Version: 5.3.3.2

Opened LibreOffice: New Spreadsheet
   Could not paste text from an Evernote file into the spreadsheet
   Pasted the text from Evernote into a Notepad file
   Copied the text in the Notepad file
   Could not paste the text to the spreadsheet
Opened New Writer file:  
   Attempted to past the text into the Writer file
   Instead, pasted a graphics image from last night's project

After reading the last few posts, did the following:

Typed XXXXX into the first cell of the spreadsheet.
   Test:  Still could not paste the Notepad text
Cut/pasted to copy the XXXXX text in cell A1 to cell A2, which worked.
   Test: Was able to copy the text from the notepad file and paste it into A3
Comment 72 Arnold Ejiofor 2017-11-15 08:12:52 UTC Comment hidden (spam)
Comment 73 Mike 2017-12-28 07:37:07 UTC
I often see this problem (working on Windows).  The paste options are disabled.  The copied data can even be from another document or spreadsheet - not necessarily an external application.

It only affects a particular document - I can paste the content of the clipboard into a new document or other open documents.

Closing and opening the document doesn't seem to help.

Selecting File->Reload resolves the problem.

Hope this helps with sorting this out.
Comment 74 Jens Löhnhardt 2018-09-20 07:58:06 UTC
Same issue here.

Once a single character whitin LibreOffice has been copied, it's not possible to do an "external" copy&paste.

Screencast : http://www.loehnhardt.com/screencast.mp4 (German)

The solution here was conflicting software.  A CTI-Software worked in background, waiting for a key-combination to start a new telephone-call.
(UNIFY - CommunicationClient, desktopintegration.exe)

Once this app has been terminated, the copy&paste bug has vanished.

There may be many other "background services" waiting for hotkeys, I think.

Hope this will help others.
Comment 75 Buovjaga 2018-10-18 15:05:28 UTC
*** Bug 97124 has been marked as a duplicate of this bug. ***
Comment 76 Dieter Praas 2018-12-09 20:02:44 UTC
*** Bug 121989 has been marked as a duplicate of this bug. ***
Comment 77 V Stuart Foote 2019-04-03 18:34:18 UTC
*** Bug 124532 has been marked as a duplicate of this bug. ***
Comment 78 Mike Kaganski 2019-04-03 18:42:46 UTC
Just a note: commit https://git.libreoffice.org/core/+/a30dbe34a14906933cfd47e29a4df69a628ab517 made *some* change to system clipboard communications on Windows - effective in version 6.2+. It would be interesting to see if that made some difference on this issue (although it might not, and it wasn't explicitly aimed at this) - again, if at all, it might only have effect on Windows.
Comment 79 Tom 2019-04-11 19:57:52 UTC
Windows 10
LibreOffice 5.1.3.2

There may actually be multiple issues here. I also do not have any clipboard software. Intermittently, I am experiencing the following in Calc, but NOT Write:

In Sheet Copy/Paste: does not work. Cells highlight as usual.

Copy/Paste from external source WORKS


This indicates to me that the internal copy function is clearing, but not sending the data to the clipboard, or there is a problem with the data being sent to the clipboard.

Even the "About" page allows for "Copy", but clears the clipboard, and does not send data to the clipboard.
Comment 80 Buovjaga 2019-04-11 20:00:06 UTC
(In reply to Tom from comment #79)
> Windows 10
> LibreOffice 5.1.3.2

This version is ancient, please test with 6.2.x.
Comment 81 hegpetz 2019-05-20 07:53:16 UTC
Confirming that LibreOffice Calc 6.2.3.2 x64 on Windows 8.1 (Reports in about dialog as Windows 6.3 FWIW)

Not wanting to spam much as I don't think my system details are relevant since Win 10 and Linux is reported affected and easily reproduced.

I am just confirming that on Windows 8.1 with version downloaded tonight it still does this. Was really comment the commit mentioned in Comment #78 would have fixed it, but no dice.

Like it says on the tin, copy/paste works perfect outside into LibreOffice until you copy something in LibreOffice, then it dies.

Also affected me on 6.1.
Comment 82 Wolfgag Nickl 2019-06-05 11:39:24 UTC
Hello together,

we have the same problem.
Our company uses LibreOffice as main Office program.
When we start the program TIA Portal from Siemens,
the clipboard show the same behavier.

1. Open New Textdocument, TIA is started.
2. Make a Screenshot and paste it to the new doc, works.
3. Typ in text
4. mark this text and copy to Clipboard with (Ctrl+c)
5. insert this text in a new line to this document (Ctrl+v)
6. Make a new Screenshot
7. Paste to Writer doesn't work, the former text is inserted.
8. Close TIA let writer open, make a screenshot and insert from clipboard works.

The Problem is that die screenshots that we need came from TIA.

After I inserted the Text from Writer to Clipboard, the type ob Clipboard
stays the same, even if I make a new Screenshot.
The Typ is application/x-openoffice-embed-source-xml;windows_formatname="Star Embed Source (XML)"
The mimetype I get with the following writer macro:

Sub ClipBoardTyp
  Dim oClip, oClipContents, oTypes
  Dim oConverter, convertedString$
  Dim i%, iPlainLoc%
  Dim sClipService As String

  iPlainLoc = -1
  sClipService = "com.sun.star.datatransfer.clipboard.SystemClipboard"
  oClip = createUnoService(sClipService)
  oConverter = createUnoService("com.sun.star.script.Converter")

  'Print "Clipboard name = " & oClip.getName()
  'Print "Implemantation name = " & oClip.getImplementationName()
  oClipContents = oClip.getContents()
  oTypes = oClipContents.getTransferDataFlavors()
  for each oTyp in oTypes
	msgbox oTyp.MimeType & "<->" & oTyp.HumanPresentableName
  next
End Sub

We work with windows 10 and Libre 5.3.4.2, but the problem
also occured in Win7, and in Win10 with LibreOffice 6.1.6.

I think the problem must be closed from LibreOffice side, 
because with other programs their is no problem to insert the Screenshots from clipboard.

Some guys in our company want to change to MSOffice, this is an argument for them. We use Writer since StarOffice times, I don't want to change.

So if I can give you further information let me know.

Best Regards
Wolfgang